    
    
/*
    
    LMXP - a small XML parser written in pure JAVA 
    Copyright (C) 2003  Michael Bayer <nsn@nightspawn.com>
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    
*/


package de.nightspawn.lmxp;

import java.io.*;

/**
    a simple example
 */
public class LMXPExample {

    
    public static void main(String[] args) {
        if (args[0].equals("")) {
            System.out.println("no XML File given!!!!");
            return;
        }
        try {
            double first = System.currentTimeMillis();
            FileReader r = new FileReader(args[0]);
            LMXPDocument root = LMXParser.parse(r);
//            root.printTree();
            System.out.println("\n\n\n\n");
            System.out.println(root.toXML());
            root.printTree();
            System.out.println(System.currentTimeMillis()-first);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}
